Skip to main content
`Ctrl`+`K`

# MatLMVMApplyJ0Fwd

Applies an approximation of the forward matrix-vector product with the initial Jacobian.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMApplyJ0Fwd(Mat B, Vec X, Vec Y)

## Input Parameters

- B - A `MATLMVM` matrix

- X - vector to multiply with J0

## Output Parameter

- Y - resulting vector for the operation

## See Also

KSP: Linear System Solvers, LMVM Matrices, `MATLMVM`, `MatLMVMSetJ0()`, `MatLMVMSetJ0Scale()`, `MatLMVMSetJ0ScaleDiag()`, `MatLMVMSetJ0PC()`, `MatLMVMSetJ0KSP()`, `MatLMVMApplyJ0Inv()`

## Level

advanced

## Location

src/ksp/ksp/utils/lmvm/lmvmutils.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages